You are not logged in.

#26 2010-02-04 12:54:04

zoledian
Member
From: Sweden
Registered: 2009-04-17
Posts: 9
Website

Re: Trying to get Nexus Personal to work on Arch

I got this to work on x86_64, on both my machine and my girlfriend's.

I wrote a little guide, which may be of use to someone else.

--Install:
lib32-libidn
nspluginwrapper
zip

--Create (as root)
mkdir /usr/lib/xulrunner-addons
mkdir /usr/lib/xulrunner-addons/plugins

--Download nexus personal:
http://install.bankid.com

--Unpack

--Open a terminal where you unpacked nexus personal

--Write (as root)
./install.4.10.2.16.sh i 
(version may differ)

--Write (as yourself, not root) in terminal
nspluginwrapper -i /usr/lib/xulrunner-addons/plugins/libplugins.so

If it installs but still doesn't work, you can enable logging on nexus personal by editing ~/.personal/config/Personal.cfg and add the following:

[Diagnostics]
Trace=/directory-you-want-the-log-in

and try to figure out what's missing.

If all fails and you want to get rid of excess garbage lying around, you can use the install script for that too:

./install.4.10.2.16.sh u

Last edited by zoledian (2010-02-04 12:58:38)

Offline

#27 2010-08-14 20:50:54

floffe
Member
From: Sweden
Registered: 2007-10-13
Posts: 5

Re: Trying to get Nexus Personal to work on Arch

zoledian: Thanks, great guide which got it working for me as well. I just needed to install lib32-libpng12 as well.

Offline

#28 2011-11-21 21:09:26

dabbi2000
Member
From: Reykjavik, Iceland
Registered: 2011-09-28
Posts: 119
Website

Re: Trying to get Nexus Personal to work on Arch

Hi there, hoping for your help here but I just can't install the 32 bit packages, it's conflicting with the 64 bit installations all the time, eg:

packer -S lib32-libpng12

Aur Targets    (1): lib32-libpng12
Pacman Targets (1): gcc-multilib

Proceed with installation? [Y/n] y
resolving dependencies...
looking for inter-conflicts...
:: binutils-multilib and binutils are in conflict. Remove binutils? [y/N] 
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: binutils-multilib and binutils are in conflict
Installation failed.

Offline

#29 2011-11-21 21:56:30

karol
Archivist
Registered: 2009-05-06
Posts: 25,423

Re: Trying to get Nexus Personal to work on Arch

Do you have binutils-multilib installed?

Offline

#30 2011-11-28 09:02:42

bernarcher
Forum Fellow
From: Germany
Registered: 2009-02-17
Posts: 2,271

Re: Trying to get Nexus Personal to work on Arch

dabbi2000, you are bumping a rather old thread.

Better open a new one for your problem which by the way appears to be another issue after all. You may link back here if still relevant.

Closing.


To know or not to know ...
... the questions remain forever.

Offline

Board footer

Powered by FluxBB